Name:           perl-Convert-PEM
Version:        0.07
Release:        9%{?dist}
Summary:        Read/write encrypted ASN.1 PEM files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Convert-PEM/
Source0:        http://www.cpan.org/authors/id/B/BT/BTROTT/Convert-PEM-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Crypt::DES_EDE3)
BuildRequires:  perl(Convert::ASN1) >= 0.10
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(Crypt::DES_EDE3)
Requires:       perl(Convert::ASN1) >= 0.10
Requires:       perl(Class::ErrorHandler)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is Convert::PEM, a module implementing read/write access
to ASN.1-encoded PEM files (with optional encryption).

%prep
%setup -q -n Convert-PEM-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README ToDo COPYING Artistic
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.07-9
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.07-6
- rebuild for new perl

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.07-5
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.07-4
- Canonicalize Source0 URL.
- Fix find option order.

* Thu Feb 02 2006 Steven Pritchard <steve@kspei.com> 0.07-3
- Better Summary.

* Sat Sep 17 2005 Steven Pritchard <steve@kspei.com> 0.07-2
- Remove explicit core module dependencies.
- Include license files.

* Thu Aug 25 2005 Steven Pritchard <steve@kspei.com> 0.07-1
- Specfile autogenerated.
